=== vxp2ps/Makefile ===
CFLAGSEXTRA = $(shell if [ -r /usr/lib/libdvipgm.so ] ; then echo "-DHAVE_DVIPGM -ldvipgm" ; fi)

all: vxp2ps vxp2tex vxp2dkw

vxp2ps: vxp2ps.c
	gcc vxp2ps.c -o vxp2ps -lm $(CFLAGSEXTRA)

vxp2tex: vxp2tex.c
	gcc vxp2tex.c -o vxp2tex -lm

vxp2dkw: vxp2dkw.c
	gcc vxp2dkw.c -o vxp2dkw -lm

install: all
	install -c -s vxp2ps vxp2tex vxp2dkw "$(DESTDIR)"/usr/bin

clean:
	rm -f core *~ vxp2ps vxp2tex vxp2dkw

cleandir:
	rm -f core *~ vxp2ps vxp2tex vxp2dkw
