=== util/ico2png/Makefile ===
CFLAGS = -Wall -g -O2 

ico2png:
	gcc $(CFLAGS) ico2png.c -o ico2png -lm -lpng -lz

clean:
	rm -f ico2png *~ core
