=== changelog ===
xpaint (3.1.4-1) unstable; urgency=low

  * New upstream release.

  * arcOp.c : the DrawArc procedure now checks that the arc is not
    drawn with a zero linewidth - otherwise some pixels could have
    been missing, and any later fill area procedure could then have
    led to unexpected results. This minor bug (or misbehavior?)
    has been fixed.

  * image.c : if installed, dvipng can now be used as an alternative
    to the libdvipgm library, at the expense of a small slowdown
    in the output. This allows TeX input even without libdvipgm
    installed, dvipng being installable independently.

 -- Jean-Pierre Demailly <jean-pierre.demailly@univ-grenoble-alpes.fr>  Sat, 14 Aug 2021 16:08:14 +0100

xpaint (3.1.3-1) unstable; urgency=low

  * New upstream release.

  * graphic.c : the "Text" menu has been substantially improved.
    Text and TeX/LaTeX input of arbitrary length, size, color can
    now be edited and converted to either a bitmap image or vector
    PostScript/PDF with embedded fonts.

  * More extensive testing - and a lot of small details fixed

 -- Jean-Pierre Demailly <jean-pierre.demailly@univ-grenoble-alpes.fr>  Fri, 12 Feb 2021 21:08:14 +0100

xpaint (3.1.2-1) unstable; urgency=low

  * New upstream release.

  * Small improvement of versions 3.1.0, 3.1.1 with bug fixes.
    Xpaint can now be compiled without dvipgm (at the expense of
    losing some TeX functionality). Thanks to testers for feedback!

  * This version supports the use of layers (files *.lxp =
    Layered XPaint files). This is done via the C script editor.
    Any collection of images can be merged into a new merged
    image by a suitable C procedure. See example in directory
    share/c_scripts/templates/

  * xpaintrw/readLXP.c : routines for reading LXP files

  * iprocess.c : routines for the creation of LXP files

  * image.c : ImageDup() procedure added

  * operation.c : new option for cleaning temporary files

  * This version has reached all capabilities that had been planned
    since a long time: layer handling, vector graphics operations,
    possibility of TeX input and of mathematical drawings,
    programmatic creation of images, filters and graphical functions.
    Therefore Xpaint will probably enter into maintainance and
    bug correction mode ...

 -- Jean-Pierre Demailly <jean-pierre.demailly@univ-grenoble-alpes.fr>  Thu, 28 Jan 2021 16:28:31 +0100

xpaint (3.1.1-1) unstable; urgency=low

  * New upstream release.

  * Small improvement of version 3.1.0 with bug fixes.

  * This version supports the use of layers (files *.lxp =
    Layered XPaint files). This is done via the C script editor.
    Any collection of images can be merged into a new merged
    image by a suitable C procedure. See example in directory
    share/c_scripts/templates/

  * xpaintrw/readLXP.c : routines for reading LXP files

  * iprocess.c : routines for the creation of LXP files

  * image.c : ImageDup() procedure added

  * operation.c : new option for cleaning temporary files

  * This version has reached all capabilities that had been planned
    since a long time: layer handling, vector graphics operations,
    possibility of TeX input and of mathematical drawings,
    programmatic creation of images, filters and graphical functions.
    Therefore Xpaint will probably enter into maintainance and
    bug correction mode ...

 -- Jean-Pierre Demailly <jean-pierre.demailly@univ-grenoble-alpes.fr>  Wed, 27 Jan 2021 16:28:31 +0100

xpaint (3.1.0-1) unstable; urgency=low

  * New upstream release.

  * This version now supports the use of layers (files *.lxp =
    Layered XPaint files). This is done via the C script editor.
    Any collection of images can be merged into a new merged 
    image by a suitable C procedure. See example in directory
    share/c_scripts/templates/

  * xpaintrw/readLXP.c : routines for reading LXP files

  * iprocess.c : routines for the creation of LXP files

  * image.c : ImageDup() procedure added

  * operation.c : new option for cleaning temporary files

  * This version has reached all capabilities that had been planned
    since a long time: layer handling, vector graphics operations,
    possibility of TeX input and of mathematical drawings,
    programmatic creation of images, filters and graphical functions.
    Therefore Xpaint will probably enter into maintainance and
    bug correction mode ...

 -- Jean-Pierre Demailly <jean-pierre.demailly@univ-grenoble-alpes.fr>  Sun, 24 Jan 2021 16:28:31 +0100

xpaint (3.0.4-1) unstable; urgency=low

  * New upstream release.

  * This version has acquired substantial vector drawing capabilities.
    Just open 'Options->VXP vector data Editor' to enable vector
    drawing operations. Most of them are recorded in a plain text
    "VXP file" *.vxp. The external program 'vxp2ps' converts these
    data into (vector) postscript, and 'vxp2dkw' can be used to
    convert them for use in the handwritten note editor deskwrite.
    Such Postscript files can be easily converted to PDF or SVG.

  * Xpaint can also read and rasterize *.vxp files (but at this point
    all operations that are not translated right away into vector data
    are ignored, even though they are recorded in the VXP file).

  * graphic.c, operation.c, misc.c, iprocess.c : extensive additions
    to implement VXP data processing.

  * share/c_scripts/procedures : canvas+vxp.c added as a new example.
    C scripts can be used to produce VXP data.

 -- Jean-Pierre Demailly <jean-pierre.demailly@univ-grenoble-alpes.fr>  Sat, 9 Jan 2021 15:09:36 +0200

xpaint (3.0.3-1) unstable; urgency=low

  * New upstream release.

  * This version of xpaint requires in principle libXaw3dXft-1.6.2h
    (but would run with 1.6.2d,e by removing the compilation flag
    -DHAVE_NEWEDITINGSTYLE)

  * graphic.c: a new option has been introduced, allowing xpaint to
    use more easily graphics tablets, more specifically the user space

