=== rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

LIBSOURCE=Xaw3dxft

%:
	dh  $@

override_dh_auto_configure:
	#Added to avoid problems with git
	#(git does not index empty directories)
	-/bin/mkdir -p $(CURDIR)/app-defaults/out
	./configure --prefix=/usr
	# If using instead old Imake system !!!
	# ./configure.old

override_dh_shlibdeps:

override_dh_install:
	$(MAKE) install \
                DESTDIR=$(CURDIR)/debian/xpaint INCDIR=/usr/include
